Skip to content

Update distributor ​

PUT
/v1/distributors/portal/{requested_distributor_id}

Updates a Distributor by the account admin itself.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

requested_distributor_id*
Type
string
Required

Request Body​

application/json
JSON
{
  
"distributor_name": "string",
  
"address": {
  
  
"country": "string",
  
  
"city": "string",
  
  
"province": null,
  
  
"number": "string",
  
  
"postalcode": "string",
  
  
"streetname": "string",
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"invoice_address": {
  
  
"country": "string",
  
  
"city": "string",
  
  
"province": null,
  
  
"number": "string",
  
  
"postalcode": "string",
  
  
"streetname": "string",
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"finance": {
  
  
"vat_number": null,
  
  
"member_state": null,
  
  
"phone_number": null,
  
  
"administrative_email": null,
  
  
"chamber_of_commerce": null,
  
  
"foreign_vat_numbers": {
  
  
  
"additionalProperties": "string"
  
  
}
  
},
  
"customerservice": {
  
  
"email": null,
  
  
"url_website": null,
  
  
"phone_number": null,
  
  
"trade_name": null
  
},
  
"newsletter": null,
  
"preferred_currency": "EUR",
  
"financecontact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"maincontact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
}
}

Responses​

OK

application/json
JSON
{
  
"slug": null,
  
"distributor_id": null,
  
"distributor_name": null,
  
"grace_period_download_tickets": 3,
  
"customerservice": {
  
  
"email": null,
  
  
"url_website": null,
  
  
"phone_number": null,
  
  
"trade_name": null
  
},
  
"invoice_address": {
  
  
"country": null,
  
  
"city": null,
  
  
"province": null,
  
  
"number": null,
  
  
"postalcode": null,
  
  
"streetname": null,
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"corporate_color": null,
  
"narrative_color": null,
  
"font_family": null,
  
"logo_url": null
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​